
Infrastructure - Task #2838

Story # 2835 (Closed): Resource Map URIs should use resolve() rather than get() constructs

Update CLI to generate resource maps with resolve rather than getObject URIs

2012-05-31 19:48 - Dave Vieglais

Status: Closed Start date: 2012-05-31

Priority: High Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.21-Block.3.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The URIs for object references should use resolve rather than getObject uris. example:

https://cn.dataone.org/cn/v1/resolve/scidata_id

rather than

https://cn.dataone.org/cn/v1/object/scidata_id

This was an error in the documentation which is being corrected

History

#1 - 2012-05-31 22:00 - Andrew Pippin

- Status changed from New to In Progress

Surprisingly few places where this was.  Unfortunately, "object" is a heavily used word.

More testing will be done.

#2 - 2012-06-11 16:44 - Andrew Pippin

- Status changed from In Progress to Closed

Done.
